Subject: Re: [PATCH v3 0/2] bnx2x: disable GSO on too-large packets

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Tue, 30 Jan 2018 06:20:56 -0200

On Tue, Jan 30, 2018 at 12:14:45PM +1100, Daniel Axtens wrote:
> We observed a case where a packet received on an ibmveth device had a
> GSO size of around 10kB. This was forwarded by Open vSwitch to a bnx2x
> device, where it caused a firmware assert. This is described in detail
> at [0].
> 
> Ultimately we want a fix in the core, but that is very tricky to
> backport. So for now, just stop the bnx2x driver from crashing.
> 
> When net-next re-opens I will send the fix to the core and a revert
> for this.
> 
> Marcelo: I have left renaming skb_gso_validate_mtu() for the
> next series.

Alright! Just need to sync the EXPORT_ in there.
(I have no further comments, LGTM)

> 
> Thanks,
> Daniel
>    
> [0]: https://patchwork.ozlabs.org/patch/859410/
> 
> Cc: [email-masked]
> Cc: Jason Wang <[email-masked]>
> Cc: Pravin Shelar <[email-masked]>
> Cc: Marcelo Ricardo Leitner <[email-masked]>
> 
> Daniel Axtens (2):
>   net: create skb_gso_validate_mac_len()
>   bnx2x: disable GSO where gso_size is too big for hardware
> 
>  drivers/net/ethernet/broadcom/bnx2x/bnx2x_main.c |  9 ++++
>  include/linux/skbuff.h                           | 16 ++++++
>  net/core/skbuff.c                                | 65 +++++++++++++++++++-----
>  net/sched/sch_tbf.c                              | 10 ----
>  4 files changed, 76 insertions(+), 24 deletions(-)
> 
> -- 
> 2.14.1
>